com.h3c.sdn.teamconfig

## Class SystemConfigReq

- java.lang.Object
- - com.h3c.sdn.teamconfig.SystemConfigReq

- All Implemented Interfaces:
    Addressable<IpAddress>
  Direct Known Subclasses:
    SystemConfigRsp

      public class SystemConfigReq
      extends Object
      implements Addressable<IpAddress>

  Descriptor holding the basic information to represent a system in a team.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemConfigReq()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `IpAddress` | `getAddress()` Gets the address.
    `String` | `getName()` Gets the system name.
    `String` | `getNetDev()` Gets the network device.
    `int` | `getPriority()` Gets the system priority, with respect to leader election.
    `int` | `hashCode()`
    `void` | `setIpAddr(IpAddress ipAddr)` Sets the system IP address.
    `void` | `setName(String name)` Sets the system name.
    `void` | `setNetDev(String netDev)` Sets the network device.
    `void` | `setPriority(int priority)` Sets the system priority, with respect to leader election.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemConfigReq

          public SystemConfigReq()

  - ### Method Detail

    - #### getNetDev

          public String getNetDev()

      Gets the network device.
      Returns:
        the network device

    - #### setNetDev

          public void setNetDev(String netDev)

      Sets the network device.
      Parameters:
        `netDev` - the network device

    - #### getName

          public String getName()

      Gets the system name.
      Returns:
        the system name

    - #### setName

          public void setName(String name)

      Sets the system name.
      Parameters:
        `name` - the system name

    - #### setIpAddr

          public void setIpAddr(IpAddress ipAddr)

      Sets the system IP address.
      Parameters:
        `ipAddr` - the system IP address

    - #### getPriority

          public int getPriority()

      Gets the system priority, with respect to leader election.
      Returns:
        the system priority

    - #### setPriority

          public void setPriority(int priority)

      Sets the system priority, with respect to leader election.
      Parameters:
        `priority` - the system priority

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getAddress

          public IpAddress getAddress()

      Description copied from interface: `Addressable`
      Gets the address.
      Specified by:
        `getAddress` in interface `Addressable<IpAddress>`
      Returns:
        the address.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2014. All Rights Reserved.